Primary Key Input¶
The generated DELETE Lambda accepts the primary key from query parameters, path parameters, or JSON body.
Accepted aliases:
entity\_idprimary\_key\_valueid
Source repository: jef-systems/jef-playstore-backend
Source SHA: 8f060c89bc847554a3c6b69487d6a8b8cf313656
Source run id: 28379595147
Lambda function: jef-playstore-delete-004
Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-playstore-delete-004
HTTP method: DELETE
Operation: delete-one
API path: /playstore-entities-delete-one
Endpoint URL: https://efj8o1q96l.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-entities-delete-one
API Gateway REST API ID: efj8o1q96l
API Gateway resource ID: c4sasi
API Gateway source ARN: arn:aws:execute-api:ap-southeast-1:246715082475:efj8o1q96l/\*/DELETE/playstore-entities-delete-one
Stage: prod
DynamoDB table: jef-playstore-entities
Primary key: entity\_id
The generated DELETE Lambda accepts the primary key from query parameters, path parameters, or JSON body.
Accepted aliases:
entity\_id
primary\_key\_value
id
DELETE /playstore-entities-delete-one?primary_key_value=00000000-0000-4000-8000-000000000000
{
"primary_key_value": "00000000-0000-4000-8000-000000000000"
}
curl -X DELETE "https://efj8o1q96l.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-entities-delete-one" -H "Content-Type: application/json" -d '{"primary_key_value": "00000000-0000-4000-8000-000000000000"}'
curl.exe -X DELETE "https://efj8o1q96l.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-entities-delete-one" -H "Content-Type: application/json" -d "{\"primary_key_value\": \"00000000-0000-4000-8000-000000000000\"}"
Status |
Meaning |
|---|---|
200 |
Item deleted. |
400 |
Missing primary key, invalid payload, or cascade delete attempted. |
404 |
Item not found. |
409 |
Delete blocked because child records exist. |
405 |
Wrong HTTP method. |
500 |
Unexpected error. |